# Class: NoEmptyFunctions

Defined in: | node_modules/gulp-coffeelint/node_modules/coffeelint/src/rules/no_empty_functions.coffee

## Variables Summary

rule =

      {
        name: 'no_empty_functions',
        level: 'ignore',
        message: 'Empty function',
        description: "Disallows declaring empty functions. The goal of this rule is that\nunintentional empty callbacks can be detected:\n<pre>\n<code>someFunctionWithCallback ->\ndoSomethingSignificant()\n</code>\n</pre>\nThe problem is that the call to\n<tt>doSomethingSignificant</tt> will be made regardless\nof <tt>someFunctionWithCallback</tt>'s execution. It can\nbe because you did not indent the call to\n<tt>doSomethingSignificant</tt> properly.\n\nIf you really meant that <tt>someFunctionWithCallback</tt>\nshould call a callback that does nothing, you can write your code\nthis way:\n<pre>\n<code>someFunctionWithCallback ->\n    undefined\ndoSomethingSignificant()\n</code>\n</pre>"
      }

## Instance Method Summary

- # (void) lintAST(node, astApi)
- # (void) lintNode(node, astApi)

## Instance Method Details

# (void) lintAST(node, astApi)

# (void) lintNode(node, astApi)

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input